Mercurial > hg > octave-kai > gnulib-hg
changeset 10280:e99e36699b9a
Test must fail if libsigsegv could not distinguish stack overflow and crash.
author | Bruno Haible <bruno@clisp.org> |
---|---|
date | Mon, 21 Jul 2008 01:03:26 +0200 |
parents | 9c24129c10e2 |
children | 0f2747d199d0 |
files | ChangeLog modules/c-stack-tests tests/test-c-stack2.sh |
diffstat | 3 files changed, 17 insertions(+), 4 deletions(-) [+] |
line wrap: on
line diff
--- a/ChangeLog +++ b/ChangeLog @@ -1,3 +1,9 @@ +2008-07-20 Bruno Haible <bruno@clisp.org> + + * modules/c-stack-tests (Makefile.am): Add LIBSIGSEGV to + TESTS_ENVIRONMENT. + * tests/test-c-stack2.sh: React differently if LIBSIGSEGV is in use. + 2008-07-20 Bruno Haible <bruno@clisp.org> * lib/c-stack.h (c_stack_action): Add documentation.
--- a/modules/c-stack-tests +++ b/modules/c-stack-tests @@ -10,7 +10,7 @@ Makefile.am: TESTS += test-c-stack.sh test-c-stack2.sh -TESTS_ENVIRONMENT += EXEEXT='@EXEEXT@' +TESTS_ENVIRONMENT += EXEEXT='@EXEEXT@' LIBSIGSEGV='@LIBSIGSEGV@' check_PROGRAMS += test-c-stack test_c_stack_LDADD = $(LDADD) $(LIBCSTACK) @LIBINTL@ MOSTLYCLEANFILES += t-c-stack.tmp t-c-stack2.tmp
--- a/tests/test-c-stack2.sh +++ b/tests/test-c-stack2.sh @@ -11,11 +11,18 @@ case $? in 77) if grep 'stack overflow' t-c-stack2.tmp >/dev/null ; then - echo 'cannot tell stack overflow from crash; consider installing libsigsegv' >&2 + if test -z "$LIBSIGSEGV"; then + echo 'cannot tell stack overflow from crash; consider installing libsigsegv' >&2 + exit 77 + else + echo 'cannot tell stack overflow from crash, in spite of libsigsegv' >&2 + exit 1 + fi else - cat t-c-stack2.tmp >&2 + cat t-c-stack2.tmp >&2 + exit 77 fi - (exit 77); exit 77 ;; + ;; 0) (exit 1); exit 1 ;; esac if grep 'program error' t-c-stack2.tmp >/dev/null ; then